# std::basic_string<CharT,Traits,Allocator>::ends_with

From cppreference.com
< cpp‎ | string‎ | basic string

bool ends_with( std::basic_string_view <CharT, Traits> x) const noexcept; | (1) | (since C++20)
bool ends_with(CharT x) const noexcept; | (2) | (since C++20)
bool ends_with(const CharT* x) const; | (3) | (since C++20)

Checks if the string ends with the given suffix, where

1) the suffix is a string view (which may be a result of implicit conversion from another `std::basic_string`)
2) the suffix is a single character
3) the suffix is a C-style string

All three overloads effectively return std::basic_string_view <CharT, Traits>(data(), size()).ends_with(x);

### Parameters

x | - | a character sequence or a single character to compare to the end of the string

### Return value

true if the string ends with the provided suffix, false otherwise.

### Example

| This section is incomplete Reason: no example

### See also

starts_with (C++20) | checks if the string starts with the given prefix (public member function)
starts_with (C++20) | checks if the string view starts with the given prefix (public member function of `std::basic_string_view<CharT,Traits>`)
ends_with (C++20) | checks if the string view ends with the given suffix (public member function of `std::basic_string_view<CharT,Traits>`)
compare | compares two strings (public member function)
substr | returns a substring (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string/ends_with&oldid=97027"